Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.support
[Java] Class NullPersistentContextInterceptor

    java.lang.Object
      org.codehaus.groovy.grails.support.NullPersistentContextInterceptor

All Implemented Interfaces:
  PersistenceContextInterceptor

    public class NullPersistentContextInterceptor

A dummy persistence context interceptor that does nothing.

Authors:
  Graeme Rocher

Since:
  1.1.1

  Created: May 8, 2009

Method Summary
`void` | `clear()`
`void` | `destroy()`
`void` | `disconnect()`
`void` | `flush()`
`void` | `init()`
`boolean` | `isOpen()`
`void` | `reconnect()`
`void` | `setReadOnly()`
`void` | `setReadWrite()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### clear

    public void clear()

### destroy

    public void destroy()

### disconnect

    public void disconnect()

### flush

    public void flush()

### init

    public void init()

### isOpen

    public boolean isOpen()

### reconnect

    public void reconnect()

### setReadOnly

    public void setReadOnly()

### setReadWrite

    public void setReadWrite()

Groovy Documentation